# syncthing

跨平台多设备同步

网站：https://syncthing.net/

支持Android，mac，windows，linux

开源：

## Using

**二进制安装**
[linux、windows下载安装包](https://github.com/canton7/SyncTrayzor/releases)，解压到/opt/syncthing目录。

执行
```
syncthing
```
第一次启动会生成配置文件，添加密钥，启动一个8384端口的web服务。
![](https://docs.syncthing.net/_images/gs5.png)
另一台设备同样操作，彼此配置对方设备id，这样两台设备共享同一个目录。将文件添加到任意设备，会自动同步到其他设备。


**Docker方式运行：**
```
docker run -p 8384:8384 -p 22000:22000/tcp -p 22000:22000/udp -p 21027:21027/udp \
    -v /wherever/st-sync:/var/syncthing \
    --hostname=my-syncthing \
    syncthing/syncthing:latest
```
默认监听 8384 端口，

## Develop

-   If you want to build Debian packages FPM is required. See FPM’s [installation information](https://fpm.readthedocs.io/en/latest/installation.html).
-   To build Windows executables, installing [goversioninfo](https://github.com/josephspurrier/goversioninfo) is recommended in order to add file properties and icon to the compiled binaries.
-   Building Android binaries requires [Android NDK](https://developer.android.com/ndk).

```
$ git clone https://github.com/syncthing/syncthing.git
$ cd syncthing
$ go run build.go

go run build.go -goos windows -no-upgrade zip

```

**安卓项目**
```
git clone https://github.com/syncthing/syncthing-android
git submodule init && git submodule update

./gradlew buildNative
./gradlew assembleDebug
```
注意：编译需要git，python3，ndk，go等环境。

**mac项目**
```
git clone https://github.com/syncthing/syncthing-macos
git submodule update --init

make release-dmg
```
注意：
1、安卓，mac项目都依赖 syncthing 项目

2、开发环境xcode,python3,Cocoapods,golang
